Bug 237136 - PHP Fatal error: Call to a member function getParameter() on a non-object in /usr/share/squirrelmail/functions/mime.php on line 317
Summary: PHP Fatal error: Call to a member function getParameter() on a non-object in...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: squirrelmail   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Blocker 475188
TreeView+ depends on / blocked
 
Reported: 2007-04-19 16:49 UTC by Nicolas Mailhot
Modified: 2008-12-08 12:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 12:11:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2007-04-19 16:49:18 UTC
Description of problem:

The new Fedora devel SM package is useless as it won't let you see any mail

Version-Release number of selected component (if applicable):

squirrelmail-1.4.9a-1.fc7.noarch

How reproducible:

Always

Steps to Reproduce:
1. select a mail you want to read
  
Actual results:

Blank page

Expected results:

The mail

Additional info:

In apache logs: 

[Thu Apr 19 18:38:11 2007] [error] [client X.X.X.X] PHP Notice:  Undefined
variable: body_message in /usr/share/squirrelmail/functions/mime.php on line
317, referer:
https://x.y.org/src/right_main.php?PG_SHOWALL=0&sort=0&startMessage=1&mailbox=Technique.Fedora
[Thu Apr 19 18:38:11 2007] [error] [client X.X.X.X] PHP Notice:  Trying to get
property of non-object in /usr/share/squirrelmail/functions/mime.php on line
317, referer:
https://x.y.org/src/right_main.php?PG_SHOWALL=0&sort=0&startMessage=1&mailbox=Technique.Fedora
[Thu Apr 19 18:38:11 2007] [error] [client X.X.X.X] PHP Fatal error:  Call to a
member function getParameter() on a non-object in
/usr/share/squirrelmail/functions/mime.php on line 317, referer:
https://x.y.org/src/right_main.php?PG_SHOWALL=0&sort=0&startMessage=1&mailbox=Technique.Fedora

Comment 1 Tomas 2007-04-19 19:19:20 UTC
Again squirrelmail-1.4.8-IE-Japanese-download-ugly-hack.patch

You are trying to detect charset from message object before you create message
object.

Please show bug report or POC email, which explains your modifications in
formatBody() function.

Comment 2 Martin Bacovsky 2007-04-24 12:10:21 UTC
It should be fixed in rawhide. Finally I removed modifications to formatBody
function from ugly-hack.patch. Mail can be opened.

Comment 3 John Summerfield 2008-12-05 03:08:15 UTC
This is _not_ fixed in squirrelmail-1.4.8-4.0.1.el5.centos.2
[Fri Dec 05 11:58:33 2008] [error] [client 58.6.192.22] PHP Fatal error:  Call to a member function getParameter() on a non-object in /usr/share/squirrelmail/functions/mime.php on line 316, referer: http://mail.terad.net/webmail/src/right_main.php

Comment 4 John Summerfield 2008-12-05 03:32:33 UTC
Let me correct that:-(

There's another bug:
[Fri Dec 05 12:28:30 2008] [error] [client 58.6.192.22] PHP Notice:  Undefined variable: charset in /usr/share/squirrelmail/functions/mime.php on line 318, referer: http://mail.terad.net/webmail/src/right_main.php

and my attempt to fix that caused the other.

There exists a bug, that variable needs to be created  correctly to char-set handling works correctly. I'll leave it with you.


Note You need to log in before you can comment on or make changes to this bug.